#ifndef CAMERA_H
#define CAMERA_H

#include "util.h"

/* first person camera class */
typedef struct camera {
	t_fvec3 pos;		/* eye position */
	t_fvec3 target;		/* target point */
	t_fvec3 up;			/* normalized up vector */
} t_camera;

t_matrix4 camera_look_at(const t_camera *camera);

#endif
